#ifdef _MSC_VER
#pragma warning ( push )
#pragma warning ( disable:4005 ) // '_WIN32_WINNT' : macro redefinition
#define _WIN32_WINNT 0x0500
#pragma warning ( pop )
#endif




#include "rpc.h"
#include "rpcndr.h"

#ifndef __RPCNDR_H_VERSION__
#error this stub requires an updated version of <rpcndr.h>
#endif // __RPCNDR_H_VERSION__


#ifndef __vl_display_h__
#define __vl_display_h__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
#pragma once
#endif

/* Forward Declarations */ 

/* header files for imported files */
#include "vl_base.h"

#ifdef __cplusplus
extern "C"{
#endif 

void * __RPC_USER MIDL_user_allocate(size_t);
void __RPC_USER MIDL_user_free( void * ); 

/* interface __MIDL_itf_vl_display_0000 */
/* [local] */ 

//=--------------------------------------------------------------------------=
// (C) Copyright 2002-2010 MATRIX VISION GmbH.  All Rights Reserved.
// (C) Copyright 1997-2010 Impuls computergesttzte Bildanalyse GmbH.
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
// PARTICULAR PURPOSE.
//=--------------------------------------------------------------------------=

#if defined(__BORLANDC__)
#pragma option -b
#endif
#if !defined(NO_VL_DISPLAY_AUTOLINK)
#if defined(__BORLANDC__)
#pragma comment(lib,"vlb_display.lib")
#pragma message ("Automatically linking with vlb_display.lib")
#else
#if defined(_M_X64)
#if _MSC_VER >= 1500
#pragma comment(lib,"vl_display.lib")
#pragma message ("Automatically linking with vl_display.lib")
#else
#pragma comment(lib,"vl_display64.lib")
#pragma message ("Automatically linking with vl_display64.lib")
#endif
#else
#pragma comment(lib,"vl_display.lib")
#pragma message ("Automatically linking with vl_display.lib")
#endif
#endif
#endif


#ifdef MVIMPACT_H_ // include guard of the main C++ header
namespace mvIMPACT {
	namespace mvIMPACT_C {
#endif // #ifdef MVIMPACT_H_


// Calling method for C Functions and C++ global and class methods.
// With other words: everything without a this-pointer
#define IPL_C_CALLTYPE __stdcall
#define IPL_C_CALLTYPEVAR __cdecl

// Calling method for the C++ methods with a this pointer.
// C++ static methods or C++ functions use IPL_C_CALLTYPE[VAR]
#define IPL_CPP_CALLTYPE // nothing == 'C++-call'
#define IPL_CPP_CALLTYPEVAR __cdecl

#ifdef VL_DISPLAY_COMPILING
// when compiling the dll
#define VL_DISPLAY_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllexport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllexport)
#else
// when using the dll
#define VL_DISPLAY_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLEXPORT
#define __MIDL_DECLSPEC_DLLEXPORT	__declspec(dllimport)
#undef __MIDL_DECLSPEC_DLLIMPORT
#define __MIDL_DECLSPEC_DLLIMPORT	__declspec(dllimport)
#endif
/* [helpstring] */ 
enum DISP_MOUSEBUTTON
    {	DISP_NOBUTTON	= 0,
	DISP_LBUTTON	= 1,
	DISP_MBUTTON	= 2,
	DISP_RBUTTON	= 4,
	DISP_XBUTTON1	= 8,
	DISP_XBUTTON2	= 16,
	DISP_SHIFT_BUTTON	= 32,
	DISP_CONTROL_BUTTON	= 64
    } ;
typedef /* [public] */ enum DISP_MOUSEBUTTON DISP_MOUSEBUTTON;

typedef IPL_FRESULT ( __stdcall *DISP_ONBEFOREDRAW_PTR )( 
    IPL_HWND Window,
    IPL_BUFHANDLE Buffer,
    IPL_HDC Dc,
    const IPL_RECT *Source,
    const IPL_RECT *Dest,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONDRAW_PTR )( 
    IPL_HWND Window,
    IPL_BUFHANDLE Buffer,
    IPL_HDC Dc,
    const IPL_RECT *Source,
    const IPL_RECT *Dest,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONMOUSEMOVE_PTR )( 
    IPL_HWND Window,
    const IPL_POINT *Point,
    DISP_MOUSEBUTTON State,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONMOUSEMOVEZOOMED_PTR )( 
    IPL_HWND Window,
    const IPL_POINT_DOUBLE *Point,
    DISP_MOUSEBUTTON State,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONBUTTONDOWN_PTR )( 
    IPL_HWND Window,
    const IPL_POINT *Point,
    DISP_MOUSEBUTTON Button,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONBUTTONDOWNZOOMED_PTR )( 
    IPL_HWND Window,
    const IPL_POINT_DOUBLE *Point,
    DISP_MOUSEBUTTON Button,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONBUTTONUP_PTR )( 
    IPL_HWND Window,
    const IPL_POINT *Point,
    DISP_MOUSEBUTTON Button,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONBUTTONUPZOOMED_PTR )( 
    IPL_HWND Window,
    const IPL_POINT_DOUBLE *Point,
    DISP_MOUSEBUTTON Button,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONDBLCLK_PTR )( 
    IPL_HWND Window,
    const IPL_POINT *Point,
    DISP_MOUSEBUTTON Button,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONDBLCLKZOOMED_PTR )( 
    IPL_HWND Window,
    const IPL_POINT_DOUBLE *Point,
    DISP_MOUSEBUTTON Button,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONKEYDOWN_PTR )( 
    IPL_HWND Window,
    IPL_ULONG Character,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONADDOOI_PTR )( 
    IPL_HWND Window,
    const IPL_CHAR *Type,
    const IPL_POINT *Points,
    IPL_ULONG Count,
    IPL_VOID_PTR *OoiUserPtr,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONSCROLLPOS_CHANGED_PTR )( 
    IPL_HWND Window,
    IPL_ULONG X,
    IPL_ULONG Y,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONZOOMFACTORS_CHANGED_PTR )( 
    IPL_HWND Window,
    IPL_DOUBLE X,
    IPL_DOUBLE Y,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONOOICREATED_PTR )( 
    _DISP_OOISETHANDLE Set,
    _DISP_OOIHANDLE Ooi,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONOOIDESTROYED_PTR )( 
    _DISP_OOISETHANDLE Set,
    _DISP_OOIHANDLE Ooi,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONOOISTARTTRACKING_PTR )( 
    _DISP_OOISETHANDLE Set,
    _DISP_OOIHANDLE Ooi,
    IPL_LONG Handle,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONOOITRACKTO_PTR )( 
    _DISP_OOISETHANDLE Set,
    _DISP_OOIHANDLE Ooi,
    IPL_LONG Handle,
    const IPL_POINT *Point,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONOOITRACKED_PTR )( 
    _DISP_OOISETHANDLE Set,
    _DISP_OOIHANDLE Ooi,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONOOIENDTRACKING_PTR )( 
    _DISP_OOISETHANDLE Set,
    _DISP_OOIHANDLE Ooi,
    IPL_CONST_VOID_PTR UserPtr);

typedef IPL_FRESULT ( __stdcall *DISP_ONOOISELECT_PTR )( 
    _DISP_OOISETHANDLE Set,
    _DISP_OOIHANDLE Ooi,
    IPL_BOOL Select,
    IPL_BOOL *Cancel,
    IPL_CONST_VOID_PTR UserPtr);

#define	DISP_DONT_CARE	( -1 )

#ifdef __linux__
#define	DISP_POI_TOOL	( "libvooi_poi.so" )
#define	DISP_LOI_TOOL	( "libvooi_loi.so" )
#define	DISP_AOI_TOOL	( "libvooi_aoi.so" )
#define	DISP_PGOI_TOOL	( "libvooi_pgoi.so" )
#define	DISP_PLOI_TOOL	( "libvooi_pgoi.so" )
#define	DISP_EOI_TOOL	( "libvooi_eoi.so" )
#define	DISP_ALOI_TOOL	( "libvooi_aloi.so" )
#define	DISP_CR1D_TOOL	( "libvooi_cr1d.so" )
#define	DISP_CR2D_DM_TOOL	( "libvooi_cr2d_dm.so" )
#else
#ifdef _M_X64
#if _MSC_VER >= 1500
#define	DISP_POI_TOOL	( "vooi_poi.dll" )
#define	DISP_LOI_TOOL	( "vooi_loi.dll" )
#define	DISP_AOI_TOOL	( "vooi_aoi.dll" )
#define	DISP_PGOI_TOOL	( "vooi_pgoi.dll" )
#define	DISP_PLOI_TOOL	( "vooi_ploi.dll" )
#define	DISP_EOI_TOOL	( "vooi_eoi.dll" )
#define	DISP_ALOI_TOOL	( "vooi_aloi.dll" )
#define	DISP_CR1D_TOOL	( "vooi_cr1d.dll" )
#define	DISP_CR2D_DM_TOOL	( "vooi_cr2d_dm.dll" )
#else
#define	DISP_POI_TOOL	( "vooi_poi64.dll" )
#define	DISP_LOI_TOOL	( "vooi_loi64.dll" )
#define	DISP_AOI_TOOL	( "vooi_aoi64.dll" )
#define	DISP_PGOI_TOOL	( "vooi_pgoi64.dll" )
#define	DISP_PLOI_TOOL	( "vooi_ploi64.dll" )
#define	DISP_EOI_TOOL	( "vooi_eoi64.dll" )
#define	DISP_ALOI_TOOL	( "vooi_aloi64.dll" )
#define	DISP_CR1D_TOOL	( "vooi_cr1d64.dll" )
#define	DISP_CR2D_DM_TOOL	( "vooi_cr2d_dm64.dll" )
#endif
#else
#define	DISP_POI_TOOL	( "vooi_poi.dll" )
#define	DISP_LOI_TOOL	( "vooi_loi.dll" )
#define	DISP_AOI_TOOL	( "vooi_aoi.dll" )
#define	DISP_PGOI_TOOL	( "vooi_pgoi.dll" )
#define	DISP_PLOI_TOOL	( "vooi_ploi.dll" )
#define	DISP_EOI_TOOL	( "vooi_eoi.dll" )
#define	DISP_ALOI_TOOL	( "vooi_aloi.dll" )
#define	DISP_CR1D_TOOL	( "vooi_cr1d.dll" )
#define	DISP_CR2D_DM_TOOL	( "vooi_cr2d_dm.dll" )
#endif // _M_X64
#endif // __linux__


extern RPC_IF_HANDLE __MIDL_itf_vl_display_0000_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_display_0000_v0_0_s_ifspec;


#ifndef __vl_display_LIBRARY_DEFINED__
#define __vl_display_LIBRARY_DEFINED__

/* library vl_display */
/* [helpstring][version][uuid] */ 

typedef /* [helpstring] */ _DISP_OOIHANDLE DISP_OOIHANDLE;

typedef /* [helpstring] */ _DISP_OOISETHANDLE DISP_OOISETHANDLE;

/* [helpstring] */ 
enum DISP_ERROR
    {	DISP_BUFFER_INVALID	= -700,
	DISP_SOURCE_RECT_INVALID	= -701,
	DISP_DEST_RECT_INVALID	= -702,
	DISP_BUFFER_SIZE_INVALID	= -703,
	DISP_INVALID_CONTROL	= -704,
	DISP_INVALID_CONTROL_VALUE	= -705,
	DISP_LUT_INVALID	= -706,
	DISP_WINDOW_INVALID	= -707,
	DISP_GRAPHIC_MODE_INVALID	= -708,
	DISP_FONT_TOO_BIG	= -709,
	DISP_BUFFER_DATATYPE_INVALID	= -710,
	DISP_NOCLIPBOARD	= -711,
	DISP_OOISET_INVALID	= -712,
	DISP_OOI_INVALID	= -713,
	DISP_FLAGS_INVALID	= -714
    } ;
typedef /* [public] */ enum DISP_ERROR DISP_ERROR;

/* [helpstring] */ 
enum DISP_CONTROLTYPE
    {	DISP_PROFILE_DIRECTION	= 1,
	DISP_HISTOGRAM_MODE	= 2,
	DISP_IMAGE_MODE	= 3,
	DISP_NUMERIC_BASE	= 4,
	DISP_COLOR_LUT	= 5,
	DISP_TEXT_SPACING	= 6,
	DISP_TEXT_HEIGHT	= 7,
	DISP_TEXT_WEIGHT	= 8,
	DISP_TEXT_COLOR	= 9,
	DISP_DRAW_COLOR	= 10,
	DISP_FILL_COLOR	= 11,
	DISP_NORMALIZE	= 12,
	DISP_COPY_WINDOW	= 13,
	DISP_ON_BEFOREDRAW	= 14,
	DISP_ON_DRAW	= 15,
	DISP_ON_MOUSEMOVE	= 16,
	DISP_ON_MOUSEMOVEZOOMED	= 17,
	DISP_ON_BUTTONDOWN	= 18,
	DISP_ON_BUTTONDOWNZOOMED	= 19,
	DISP_ON_BUTTONUP	= 20,
	DISP_ON_BUTTONUPZOOMED	= 21,
	DISP_ON_DBLCLK	= 22,
	DISP_ON_DBLCLKZOOMED	= 23,
	DISP_ON_KEYDOWN	= 24,
	DISP_ON_SCROLLPOSCHANGED	= 25,
	DISP_ON_ZOOMFACTORSCHANGED	= 26,
	DISP_ZOOM_WINDOW	= 27,
	DISP_ZOOM_WINDOW_X	= 28,
	DISP_ZOOM_WINDOW_Y	= 29,
	DISP_ZOOM_MODE	= 30,
	DISP_MAPPING_LUT	= 31,
	DISP_SHIFT	= 32,
	DISP_OOISET	= 33,
	DISP_ON_OOICREATED	= 34,
	DISP_ON_OOIDESTROYED	= 35,
	DISP_ON_OOISTARTTRACKING	= 36,
	DISP_ON_OOIENDTRACKING	= 37,
	DISP_ON_OOITRACKTO	= 38,
	DISP_ON_OOITRACKED	= 39,
	DISP_ON_OOISELECT	= 40,
	DISP_ON_ADDOOI	= 41,
	DISP_OOITOOL_LENGTH	= 42,
	DISP_OOITOOL	= 43,
	DISP_BUFHANDLE	= 44,
	DISP_ORIGINAL_WNDPROC	= 45,
	DISP_SCROLLBAR_MODE	= 46,
	DISP_BACKGROUND_COLOR	= 47,
	DISP_DEFAULT_EMPTY_WINDOW_WIDTH	= 48,
	DISP_DEFAULT_EMPTY_WINDOW_HEIGHT	= 49,
	DISP_SCROLLPOS_X	= 50,
	DISP_SCROLLPOS_Y	= 51,
	DISP_SCROLLPOS	= 52,
	DISP_WINDOW_SIZE	= 53,
	DISP_WINDOW_TITLE_TEXT_LENGTH	= 54,
	DISP_WINDOW_TITLE_TEXT	= 55,
	DISP_USERPTR	= 56,
	DISP_BAYER_DISPLAY_GREEN_GAIN	= 200
    } ;
typedef /* [public] */ enum DISP_CONTROLTYPE DISP_CONTROLTYPE;

/* [helpstring] */ 
enum DISP_MODE
    {	DISP_PROFILE_HORIZONTAL	= 0,
	DISP_PROFILE_VERTICAL	= 1,
	DISP_HISTOGRAM_NORMAL	= 0,
	DISP_HISTOGRAM_ACCUMULATED	= 1,
	DISP_IMAGE_GRAPHIC	= 0,
	DISP_IMAGE_NUMERIC	= 1,
	DISP_COPYCLIENT	= 0,
	DISP_COPYWHOLE	= 1,
	DISP_ZOOM_FIT	= 0,
	DISP_ZOOM_FACTORS	= 1,
	DISP_ZOOM_FIT_ASPECT	= 2
    } ;
typedef /* [public] */ enum DISP_MODE DISP_MODE;

/* [helpstring] */ 
enum DISP_POI_DRAWING_STYLE
    {	DISP_POI_CROSS	= 0,
	DISP_POI_RUBBER_CROSS	= 1
    } ;
typedef /* [public] */ enum DISP_POI_DRAWING_STYLE DISP_POI_DRAWING_STYLE;

/* [helpstring] */ 
enum DISP_HANDLE_STYLE
    {	DISP_NO_HANDLE	= 0,
	DISP_SQUARE_HANDLE	= 1,
	DISP_CIRCULAR_HANDLE	= 2
    } ;
typedef /* [public] */ enum DISP_HANDLE_STYLE DISP_HANDLE_STYLE;

/* [helpstring] */ 
enum DISP_OOICONTROLTYPE
    {	DISP_OOI_TYPE_LENGTH	= 0,
	DISP_OOI_LINE_COLOR	= 1,
	DISP_OOI_COLOR	= 1,
	DISP_OOI_TEXT_COLOR	= 2,
	DISP_OOI_HANDLE_LINE_COLOR	= 3,
	DISP_OOI_HANDLE_FILL_COLOR	= 4,
	DISP_OOI_TEXT_LENGTH	= 5,
	DISP_OOI_TEXT	= 6,
	DISP_OOI_HANDLE_SIZE	= 7,
	DISP_OOI_SELECTED	= 8,
	DISP_OOI_ACTIVE	= 9,
	DISP_OOI_UI_ACTIVE	= 10,
	DISP_OOI_TYPE	= 11,
	DISP_OOI_VISIBLE	= 13,
	DISP_OOI_LINES_VISIBLE	= 14,
	DISP_OOI_TEXT_VISIBLE	= 15,
	DISP_OOI_HANDLES_VISIBLE	= 16,
	DISP_OOI_POSINDEX	= 17,
	DISP_OOI_FILL_COLOR	= -1,
	DISP_OOI_FILL_VISIBLE	= -2,
	DISP_OOI_LINES_SOLID	= -3,
	DISP_OOI_FILL_TRANSPARENT	= -4,
	DISP_OOI_NPOINTS	= -5,
	DISP_OOI_NHANDLES	= -6,
	DISP_POI_STYLE	= -7,
	DISP_OOI_WIDTH	= -8,
	DISP_OOI_ANGLE	= -9,
	DISP_LOI_SHOW_ARROW	= -10,
	DISP_LOI_DRAG_THICKNESS	= -11,
	DISP_AOI_CONSTRAIN_SQUARE	= -12,
	DISP_EOI_CONSTRAIN_CIRCLE	= -13,
	DISP_HANDLE_DRAWING_STYLE	= -14,
	DISP_OOI_SHOW_DETAILS	= -15,
	DISP_CR2D_DM_COLUMNS	= -16,
	DISP_CR2D_DM_ROWS	= -17
    } ;
typedef /* [public] */ enum DISP_OOICONTROLTYPE DISP_OOICONTROLTYPE;

/* [helpstring] */ 
enum DISP_OOICONTROLTYPEEX
    {	DISP_OOI_DATA	= 1
    } ;
typedef /* [public] */ enum DISP_OOICONTROLTYPEEX DISP_OOICONTROLTYPEEX;

/* [helpstring] */ 
enum DISP_SCROLLBAR_MODE_TYPE
    {	DISP_SCROLLBAR_DISABLE	= 0,
	DISP_SCROLLBAR_HIDE	= 1,
	DISP_SCROLLBAR_NEVER	= 2
    } ;
typedef /* [public] */ enum DISP_SCROLLBAR_MODE_TYPE DISP_SCROLLBAR_MODE_TYPE;

/* [helpstring] */ 
enum DISP_UPDATE_FLAGS
    {	DISP_INVALIDATE	= 0,
	DISP_REDRAW	= 1
    } ;
typedef /* [public] */ enum DISP_UPDATE_FLAGS DISP_UPDATE_FLAGS;


EXTERN_C const IID LIBID_vl_display;


#ifndef __vl_display_MODULE_DEFINED__
#define __vl_display_MODULE_DEFINED__


/* module vl_display */
/* [dllname][uuid] */ 

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_Control( 
    /* [in] */ DISP_CONTROLTYPE Item,
    /* [full][in] */ IPL_CONST_VOID_PTR Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_ControlWindow( 
    /* [in] */ DISP_CONTROLTYPE Item,
    /* [in] */ IPL_HWND Window,
    /* [full][in] */ IPL_CONST_VOID_PTR Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_Inquire( 
    /* [in] */ DISP_CONTROLTYPE Item,
    /* [full][out] */ IPL_VOID_PTR Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_InquireWindow( 
    /* [in] */ DISP_CONTROLTYPE Item,
    /* [in] */ IPL_HWND Window,
    /* [full][out] */ IPL_VOID_PTR Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_Draw( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [in] */ IPL_HDC hDC,
    /* [full][in] */ const IPL_RECT *Source,
    /* [full][in] */ const IPL_RECT *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_DrawOoiSet( 
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [in] */ IPL_HDC hDC,
    /* [full][in] */ const IPL_RECT *Source,
    /* [full][in] */ const IPL_RECT *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_DrawImage( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [in] */ IPL_HDC hDC,
    /* [full][in] */ const IPL_RECT *Source,
    /* [full][in] */ const IPL_RECT *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_DrawProfile( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [in] */ IPL_HDC hDC,
    /* [full][in] */ const IPL_RECT *Source,
    /* [full][in] */ const IPL_RECT *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_DrawHistogram( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [in] */ IPL_HDC hDC,
    /* [full][in] */ const IPL_RECT *Source,
    /* [full][in] */ const IPL_RECT *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_DrawLut( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [in] */ IPL_HDC hDC,
    /* [full][in] */ const IPL_RECT *Source,
    /* [full][in] */ const IPL_RECT *Dest);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OpenWindow( 
    /* [in] */ IPL_BUFHANDLE Buffer,
    /* [full][out][in] */ IPL_HWND *Window,
    /* [in] */ IPL_HWND Parent,
    /* [full][in] */ IPL_CONST_VOID_PTR UserPtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_CloseWindow( 
    /* [in] */ IPL_HWND Window);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_KeepRunning( 
    /* [full][in] */ const IPL_CHAR *Message);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_CopyWindow( 
    /* [in] */ IPL_HWND Window);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiSetAlloc( 
    /* [full][out] */ DISP_OOISETHANDLE *OoiSet);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiSetFree( 
    /* [in] */ DISP_OOISETHANDLE OoiSet);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiSetFreeAll( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiAlloc( 
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [full][out] */ DISP_OOIHANDLE *Ooi,
    /* [full][in] */ const IPL_CHAR *OoiType,
    /* [full][in] */ const IPL_POINT *Points,
    /* [in] */ IPL_ULONG Count,
    /* [full][in] */ IPL_CONST_VOID_PTR UserPtr);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiFromIndex( 
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [full][out] */ DISP_OOIHANDLE *Ooi,
    /* [in] */ IPL_ULONG Index);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiCount( 
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [full][out] */ IPL_ULONG *Count);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiFree( 
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [in] */ DISP_OOIHANDLE Ooi);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiFreeByIndex( 
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [in] */ IPL_ULONG Index);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_OoiFreeAll( 
    /* [in] */ DISP_OOISETHANDLE OoiSet);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_ControlOoi( 
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [in] */ DISP_OOIHANDLE Ooi,
    /* [in] */ DISP_OOICONTROLTYPE Item,
    /* [full][in] */ IPL_CONST_VOID_PTR Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_InquireOoi( 
    /* [in] */ DISP_OOISETHANDLE OoiSet,
    /* [in] */ DISP_OOIHANDLE Ooi,
    /* [in] */ DISP_OOICONTROLTYPE Item,
    /* [full][out] */ IPL_VOID_PTR Value);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_UpdateWindow( 
    /* [in] */ IPL_HWND Window,
    /* [in] */ DISP_UPDATE_FLAGS Flags);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_DrawPoint( 
    /* [in] */ IPL_HDC Hdc,
    /* [in] */ IPL_COLOR Color,
    /* [full][in] */ const IPL_POINT *Location);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_DrawLine( 
    /* [in] */ IPL_HDC Hdc,
    /* [in] */ IPL_COLOR Color,
    /* [full][in] */ const IPL_POINT *From,
    /* [full][in] */ const IPL_POINT *To);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_DrawArc( 
    /* [in] */ IPL_HDC Hdc,
    /* [in] */ IPL_COLOR Color,
    /* [full][in] */ const IPL_RECT *Bounds,
    /* [full][in] */ const IPL_POINT *From,
    /* [full][in] */ const IPL_POINT *To,
    /* [in] */ IPL_BOOL Direction);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_CheckLic( void);

/* [helpstring][entry] */ __MIDL_DECLSPEC_DLLIMPORT IPL_FRESULT __stdcall DISP_GetVersion( 
    /* [full][in] */ const IPL_CHAR *Buffer,
    /* [in] */ IPL_INT Bytes);

#endif /* __vl_display_MODULE_DEFINED__ */
#endif /* __vl_display_LIBRARY_DEFINED__ */

/* interface __MIDL_itf_vl_display_0119 */
/* [local] */ 


#ifdef MVIMPACT_H_ // include guard of the main C++ header
	} // namespace mvIMPACT_C
} // namespace mvIMPACT
#endif // #ifdef MVIMPACT_H_



extern RPC_IF_HANDLE __MIDL_itf_vl_display_0119_v0_0_c_ifspec;
extern RPC_IF_HANDLE __MIDL_itf_vl_display_0119_v0_0_s_ifspec;

/* Additional Prototypes for ALL interfaces */

/* end of Additional Prototypes */

#ifdef __cplusplus
}
#endif

#endif


