#! /bin/make
##############################################
# Makefile for the 'blob-afs' mvbldemo,
# == DO NOT CHANGE !!! ==
# Mit Aug 13 11:31:13 CEST 2003
##############################################
#-------------------------------------------
mvIMPACT=../../../..
mvBLUE=$(mvIMPACT)/../mvblue
IPKG_PATH=../ipkg
IPKG_DST_DIR=$(IPKG_PATH)/flash/picogui

#-------------------------------------------
MAJOR=1
MINOR1=5
MINOR2=3
IPK_VERSION:=$(MAJOR).$(MINOR1).$(MINOR2)

#-------------------------------------------
MODULE_NAME=blob-afs

#-------------------------------------------
OOBJ =										\
		afsapi.o pgtools.o blbproc.o 		\
		teach_dialog.o spinedit.o afstools.o

#-------------------------------------------
vpath %.cpp ..

#-------------------------------------------
IMPACT_LIBS =								\
		-lvl_device							\
		-lvl_display 						\
		-lvl_blob							\
		-lvl_ipl							\
		-lvl_file							\
		-lvl_base

#-------------------------------------------
ifeq ($(OSTYPE),cygwin)
	MVBL_PG_LIB=$(OSTYPE)603e
else
	MVBL_PG_LIB=$(TARGET)
endif

#-------------------------------------------
USR_INCLS =									\
	-I$(mvBLUE)/libs/pgutils

#-------------------------------------------
USR_LIBS =									\
	-L$(mvBLUE)/libs/pgutils/$(MVBL_PG_LIB)	\
		-lpgutils							\
	-L$(GCCPATH)/usr/lib -lpgui

#-------------------------------------------
CPPFLAGS_1 = 								\
		-DAPP_VERSION=\"$(IPK_VERSION)\"	\
		-DMALLOC_TRACE						\
##		-DMEM_DEBUG							\
##		-DDEBUG								\
##		-DEXPORT_IMGS						\

#-------------------------------------------
include ../../../Makefile.samp.inc

#-------------------------------------------
#-------------------------------------------


