//----------------------------------------------------------------------
//----------------------------------------------------------------------
// MATRIX VISION GmbH
// mvIMPACT - mvBlueLYNX demo >>crtool<<
// Wed Apr 29 13:48:53 CEST 2004
//----------------------------------------------------------------------
#ifndef __prop_h__
#define __prop_h__

//----------------------------------------------------------------------
#include <stdio.h>

//----------------------------------------------------------------------
enum CR_PROPS_ID
{
	CR_NO_PROP	= 0,
	CR_USE_INI_FILE,
	CR_PROCESS,
	CR_CODE_TYPE,
	CR_POLARITY,
	CR_BC_TYPE,
	CR_DM_TYPE,
	CR_THRESHOLD_MODE,
	CR_THRESHOLD,
	CR_MAX_OBJ,
	CR_SPACING,
	CR_CONTRAST,
	CR_GAP_SIZE,
	CR_MIN_GAPS,
	CR_NOISE_TH,
	CR_IMG_CLEANING_MODE,
	CR_FILTER_STRENGHT,
	CR_CELL_IMPR_MODE,
	CR_DEFECT_SIZE,
	CR_SL_SHADING_CORR,
	CR_SL_REG_SELECTION,
	CR_CELL_SIZE,
	CR_LAST_PROP,
};

typedef enum CR_PROPS_ID CR_PROPS_ID;

//----------------------------------------------------------------------
struct SCRProp
{
	char *name;
	CR_PROPS_ID ID;
	int default_val;
	int min_val;
	int max_val;
};

typedef struct SCRProp CR_PROP;

//----------------------------------------------------------------------
//----------------------------------------------------------------------
int prop_set_prop( const CR_PROPS_ID index, const int value );
CR_PROP prop_get_prop( const CR_PROPS_ID index );
int prop_get_prop_list_size( );
int prop_check_val( const CR_PROP prop, const int val );

//----------------------------------------------------------------------
#endif	// __prop_h__

//----------------------------------------------------------------------
//----------------------------------------------------------------------


