//----------------------------------------------------------------------
//----------------------------------------------------------------------
// MATRIX VISION GmbH
// mvIMPACT - mvBlueLYNX demo >>gmmtool<<
// Don Nov 13 11:40:07 CET 2003
//----------------------------------------------------------------------

#ifndef __gmmipl_h__
#define __gmmipl_h__

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#include <stdio.h>

#include <vl_base.h>
#include <vl_gmm.h>
#include <vl_device.h>
#include <vl_display.h>

#include <mvslib.h>
#include <mvsensor.h>

#include <pgutils.h>
#include <samples.h>

//----------------------------------------------------------------------
//----------------------------------------------------------------------
extern BYTE *img_buffer;
extern IPL_BUFHANDLE image;

//----------------------------------------------------------------------
//----------------------------------------------------------------------
void set_max_feat_nb( int nb );
int get_max_feat_nb( );

void set_max_obj_nb( int nb );
int get_max_obj_nb( );
int get_obj_nb( );

void set_threshold( int th );
int get_threshold( );

void set_quality( int q );
int get_quality( );

int get_arc_cnt( );
int get_corner_cnt( );

void free_gmm( );
int teach_gmm( );
int find_gmm( );
int init_gmm( );
int load_gmm_fl( );

void draw_results( );
int set_label_img( );
void clear_label( );

double get_time_ms( );

void set_displ_res_mode( int type );
int get_displ_res_mode( );

//----------------------------------------------------------------------
//----------------------------------------------------------------------
#endif	// __gmmipl_h__
