//----------------------------------------------------------------------
//----------------------------------------------------------------------
// MATRIX VISION GmbH
// mvIMPACT - mvBlueLYNX demo >>ocrtool<<
// Fri Jun 20 12:58:12 CEST 2003
//----------------------------------------------------------------------
//----------------------------------------------------------------------
#include <stdio.h>
#include <string.h>
#include <picogui.h>
#include <system.h>
#include <pgutils.h>

#include <vl_ocr.h>

#include "pgtools.h"
#include "ocrtool.h"

//-------------------------------------------------------------------
int get2delchar( int *c_list )
{
	dprintf((" -> " TOOL_PREFIX ": %s\n", __FUNCTION__ ));
	int cnt = 0;

	pgEnterContext( );
	pghandle wApply, wClose, wToolbar, wDummy, wDisplay;
	struct pgEvent *evt;

	pgRegisterApp( PG_APP_TOOLBAR, "OCR DELETE", 0 );
	pgNewWidget( PG_WIDGET_BOX, 0, 0 );
	pgNewWidget( PG_WIDGET_LABEL, PG_DERIVE_INSIDE, PGDEFAULT );
	pgSetWidget( PGDEFAULT,
			PG_WP_TEXT, pgNewString( "OCR DELETE" ),
			PG_WP_FONT, pgNewFont( NULL, 16, 0 ),
			0 );

	wToolbar = pgNewWidget( PG_WIDGET_TOOLBAR, 0, 0 );
	pgSetWidget( PGDEFAULT,
			PG_WP_SIDE, PG_S_BOTTOM,
			0 );

	wApply = pgNewWidget( PG_WIDGET_BUTTON, PG_DERIVE_INSIDE, wToolbar );
	pgSetWidget( PGDEFAULT,
			PG_WP_TEXT, pgNewString( "Apply" ),
			0 );

	wClose = pgNewWidget( PG_WIDGET_BUTTON, 0, 0 );
	pgSetWidget( PGDEFAULT,
			PG_WP_TEXT, pgNewString("Close"),
			0 );

	wDummy = pgNewWidget( PG_WIDGET_BOX, PG_DERIVE_AFTER, wToolbar );
	wDisplay = pgNewWidget( PG_WIDGET_TEXTBOX, PG_DERIVE_INSIDE, wDummy );
	pgSetWidget( PGDEFAULT,
			PG_WP_TEXT, pgNewString( "?" ),
			PG_WP_SIDE, PG_S_ALL,
			0 );
	pgFocus( wDisplay );

	for (;;)
	{
		evt = pgGetEvent();

		if( evt->from == wClose )
		{
			pgLeaveContext( );
			return RET_CLOSE;
		}
		else if( evt->from == wApply )
		{
			if( c_list != NULL )
			{
				char *enters = pgGetString( pgGetWidget( wDisplay, PG_WP_TEXT ));
				char *s = strtok( enters, "\n" );
				cnt = strlen( s );
				if( cnt < MAX_CHAR_SIZE )
				{

					dprintf(( " == " TOOL_PREFIX ": get2delchar - enters: >>%s<<, s: >>%s<< (%d/%d)\n",
							enters, s, strlen( enters ), strlen( s )));

					for( int i = 0; i < cnt; i++ )
					{
						dprintf((" == " TOOL_PREFIX ": get2delchar - i: %d, s: %c(%d)\n", i, s[i], s[i] ));
						c_list[i] = s[i];
					}
				}
				else
				{
					fprintf( stderr, "*** " TOOL_PREFIX ": get2delchar - to many charecters (max: %d)!!\n", MAX_CHAR_SIZE );
					pgMessageDialog("Delete error", "get2delchar - To many charecters!!\n", PG_MSGBTN_OK | PG_MSGICON_ERROR );
					cnt = RET_ERROR;
				}
			}
			else
			{
				fprintf( stderr, "*** " TOOL_PREFIX ": get2delchar - no valid imput list!!\n" );
				pgMessageDialog("Delete error", "get2delchar - No valid input list!!\nNothing deleted!!\n", PG_MSGBTN_OK | PG_MSGICON_ERROR );
				cnt = RET_ERROR;
			}

			pgLeaveContext( );
			return cnt;
		}
	}

	pgLeaveContext( );
	return RET_ERROR;
}

//-------------------------------------------------------------------
//-------------------------------------------------------------------
